# =========for rho init
# aaa.test: 
# 	echo "aaa.test"

# ORIGIN_PLACE=../
MODEL_PLACE=../model/

th=0.0

B=../../bin
R=fig

SCR=../

MODEL_TIME_RANGE :=  min1=1.6 max1=3




latSpike.H: ${MODEL_PLACE}/latSpike.H
	Cp $< $@


data-field_data.H: ${MODEL_PLACE}/data-field_data.H
	Cp $< $@

init_filter_a_rho_${RHO}.H: 
	Window n2=1 f2=`./calc.sh ${RHO}*10+1` n1=256 f1=256 < ${SCR}/freq_domain_a.H > $@
	echo o1=0 label1=sample >> $@

init_filter_b_rho_${RHO}.H:init_filter_a_rho_${RHO}.H
	Reverse opt=ingnore which=1 < init_filter_a_rho_${RHO}.H >$@


field_data-decon_init_thr_${THRESHOLD}_filtlen_${FILTLEN}_filtlenB_${FILTLEN_B}_init_${RHO}.H: $B/Sparse_decon_mixed_linear.x data-field_data.H latSpike.H init_filter_a_rho_${RHO}.H init_filter_b_rho_${RHO}.H
# 	Pad end1=${FILTLEN_B} extend=0 <data-COFnew.H > data-COFnew_pad_${FILTLEN}.H
# 	Pad n1out=300 extend=0 <data-field_data.H > data-field_data_pad_300.H
	<data-field_data.H  $< max_overshot_shrink_cnt=10 \
		norm_dat=hybrid qt_period=10 filt_length=${FILTLEN} filtb_length=${FILTLEN_B} \
		r_th_d=${THRESHOLD}  filter_a=field_data-init_linear_a_thr_${THRESHOLD}_filtlen_${FILTLEN}_filtlenB_${FILTLEN_B}_init_${RHO}.H \
		filter_b=field_data-init_linear_b_thr_${THRESHOLD}_filtlen_${FILTLEN}_filtlenB_${FILTLEN_B}_init_${RHO}.H \
		niter_nl=${non_iter} niter_lin=2 model_b=modtrc_b.H \
		wavelet=latSpike.H conv_res=wztrc_a_b_rev_conv.H init_filter_a=init_filter_a_rho_${RHO}.H init_filter_b=init_filter_b_rho_${RHO}.H \
		res_filename=field_data-init_residual_untransp_thr_${THRESHOLD}_filtlen_${FILTLEN}_filtlenB_${FILTLEN_B}_init_${RHO}.H >$@
# 	pause
	Transp < field_data-init_residual_untransp_thr_${THRESHOLD}_filtlen_${FILTLEN}_filtlenB_${FILTLEN_B}_init_${RHO}.H > field_data-init_residual_thr_${THRESHOLD}_filtlen_${FILTLEN}_filtlenB_${FILTLEN_B}_init_${RHO}.H

field_data-init_residual_R_thr_${THRESHOLD}_filtlen_${FILTLEN}_filtlenB_${FILTLEN_B}_init_${RHO}.H:field_data-init_residual_thr_${THRESHOLD}_filtlen_${FILTLEN}_filtlenB_${FILTLEN_B}_init_${RHO}.H
	Window n2=1 f2=0 < $< > $@

field_data-init_residual_A_thr_${THRESHOLD}_filtlen_${FILTLEN}_filtlenB_${FILTLEN_B}_init_${RHO}.H:field_data-init_residual_thr_${THRESHOLD}_filtlen_${FILTLEN}_filtlenB_${FILTLEN_B}_init_${RHO}.H
	Window n2=1 f2=1 < $< > $@

field_data-init_filter_a_thr_${THRESHOLD}_filtlen_${FILTLEN}_filtlenB_${FILTLEN_B}_init_${RHO}.H:field_data-init_linear_a_thr_${THRESHOLD}_filtlen_${FILTLEN}_filtlenB_${FILTLEN_B}_init_${RHO}.H
	Reshape < $< reshape=1,3 > $@

field_data-init_filter_b_thr_${THRESHOLD}_filtlen_${FILTLEN}_filtlenB_${FILTLEN_B}_init_${RHO}.H:field_data-init_linear_b_thr_${THRESHOLD}_filtlen_${FILTLEN}_filtlenB_${FILTLEN_B}_init_${RHO}.H
	Reshape < $< reshape=1,3 > $@


field_data-init_filter_ab_thr_${THRESHOLD}_filtlen_${FILTLEN}_filtlenB_${FILTLEN_B}_init_${RHO}.H : field_data-init_filter_a_thr_${THRESHOLD}_filtlen_${FILTLEN}_filtlenB_${FILTLEN_B}_init_${RHO}.H field_data-init_filter_b_thr_${THRESHOLD}_filtlen_${FILTLEN}_filtlenB_${FILTLEN_B}_init_${RHO}.H
	$B/Conv_filter_c.x < field_data-init_filter_a_thr_${THRESHOLD}_filtlen_${FILTLEN}_filtlenB_${FILTLEN_B}_init_${RHO}.H filter1d=0 > $@ \
		filter=field_data-init_filter_b_thr_${THRESHOLD}_filtlen_${FILTLEN}_filtlenB_${FILTLEN_B}_init_${RHO}.H


field_data-init_bubble_thr_${THRESHOLD}_filtlen_${FILTLEN}_filtlenB_${FILTLEN_B}_init_${RHO}.H : $B/bubble.x field_data-init_filter_ab_thr_${THRESHOLD}_filtlen_${FILTLEN}_filtlenB_${FILTLEN_B}_init_${RHO}.H
	$< <field_data-init_filter_ab_thr_${THRESHOLD}_filtlen_${FILTLEN}_filtlenB_${FILTLEN_B}_init_${RHO}.H th=${th} filtb_length=${FILTLEN_B} pad=2 >$@ 

field_data-init_wavelet_a_thr_${THRESHOLD}_filtlen_${FILTLEN}_filtlenB_${FILTLEN_B}_init_${RHO}.H : $B/bubble.x field_data-init_filter_a_thr_${THRESHOLD}_filtlen_${FILTLEN}_filtlenB_${FILTLEN_B}_init_${RHO}.H
	$< <field_data-init_filter_a_thr_${THRESHOLD}_filtlen_${FILTLEN}_filtlenB_${FILTLEN_B}_init_${RHO}.H th=${th} pad=2 >$@ 

field_data-init_wavelet_b_thr_${THRESHOLD}_filtlen_${FILTLEN}_filtlenB_${FILTLEN_B}_init_${RHO}.H : $B/bubble.x field_data-init_filter_b_thr_${THRESHOLD}_filtlen_${FILTLEN}_filtlenB_${FILTLEN_B}_init_${RHO}.H
	$< <field_data-init_filter_b_thr_${THRESHOLD}_filtlen_${FILTLEN}_filtlenB_${FILTLEN_B}_init_${RHO}.H th=${th} filtb_length=${FILTLEN_B} pad=2 >$@ 


field_data-init_shift_bubble_thr_${THRESHOLD}_filtlen_${FILTLEN}_filtlenB_${FILTLEN_B}_init_${RHO}.H: field_data-init_bubble_thr_${THRESHOLD}_filtlen_${FILTLEN}_filtlenB_${FILTLEN_B}_init_${RHO}.H $B/shift.x
	$B/shift.x < $< >  $@
	echo o1=`./calc.sh -${non_iter}+1` >> $@

$R/field_data-init_filter_a_thr_${THRESHOLD}_filtlen_${FILTLEN}_filtlenB_${FILTLEN_B}_init_${RHO}.v: field_data-init_filter_a_thr_${THRESHOLD}_filtlen_${FILTLEN}_filtlenB_${FILTLEN_B}_init_${RHO}.H
#	echo o1=1.60 o2=7.2 d2=0.02667 >> $<
	< $< Window n2=1 f2=`./calc.sh ${non_iter}-1`  | Graph ${ebclip} ${FILTER_LABEL}  title="Rho=${RHO}" legend=0 out=$@ ${dn}

$R/field_data-init_filter_b_thr_${THRESHOLD}_filtlen_${FILTLEN}_filtlenB_${FILTLEN_B}_init_${RHO}.v: field_data-init_filter_b_thr_${THRESHOLD}_filtlen_${FILTLEN}_filtlenB_${FILTLEN_B}_init_${RHO}.H
#	echo o1=1.60 o2=7.2 d2=0.02667 >> $<
	< $< Window n2=1 f2=`./calc.sh ${non_iter}-1`  | Graph ${ebclip} ${FILTER_LABEL}  title="Rho=${RHO}" legend=0  out=$@ ${dn}

$R/field_data-init_filter_ab_thr_${THRESHOLD}_filtlen_${FILTLEN}_filtlenB_${FILTLEN_B}_init_${RHO}.v: field_data-init_filter_ab_thr_${THRESHOLD}_filtlen_${FILTLEN}_filtlenB_${FILTLEN_B}_init_${RHO}.H
#	echo o1=1.60 o2=7.2 d2=0.02667 >> $<
	< $< Window n2=1 f2=`./calc.sh ${non_iter}-1`  | Graph ${ebclip} ${FILTER_LABEL}  title="Rho=${RHO}" legend=0 out=$@ ${dn}

$R/field_data-init_wavelet_a_thr_${THRESHOLD}_filtlen_${FILTLEN}_filtlenB_${FILTLEN_B}_init_${RHO}.v: field_data-init_wavelet_a_thr_${THRESHOLD}_filtlen_${FILTLEN}_filtlenB_${FILTLEN_B}_init_${RHO}.H
#	echo o1=1.60 o2=7.2 d2=0.02667 >> $<
	< $< Window n2=1 f2=`./calc.sh ${non_iter}-1`  | Graph ${ebclip} ${WAVELET_LABEL}  title="wavelet_a" legend=0 out=$@ ${dn}

$R/field_data-init_wavelet_b_thr_${THRESHOLD}_filtlen_${FILTLEN}_filtlenB_${FILTLEN_B}_init_${RHO}.v: field_data-init_wavelet_b_thr_${THRESHOLD}_filtlen_${FILTLEN}_filtlenB_${FILTLEN_B}_init_${RHO}.H
#	echo o1=1.60 o2=7.2 d2=0.02667 >> $<
	< $< Window n2=1 f2=`./calc.sh ${non_iter}-1`  | Graph ${ebclip} ${WAVELET_LABEL}  title="wavelet_b" legend=0  out=$@ ${dn}

$R/field_data-init_bubble_thr_${THRESHOLD}_filtlen_${FILTLEN}_filtlenB_${FILTLEN_B}_init_${RHO}.v: field_data-init_bubble_thr_${THRESHOLD}_filtlen_${FILTLEN}_filtlenB_${FILTLEN_B}_init_${RHO}.H
#	echo o1=1.60 o2=7.2 d2=0.02667 >> $<
	< $< Window n2=1 f2=`./calc.sh ${non_iter}-1`  | Graph ${ebclip} ${WAVELET_LABEL}  title="bubble" legend=0  out=$@ ${dn}



$R/field_data-init_shift_bubble_thr_${THRESHOLD}_filtlen_${FILTLEN}_filtlenB_${FILTLEN_B}_init_${RHO}.v: field_data-init_shift_bubble_thr_${THRESHOLD}_filtlen_${FILTLEN}_filtlenB_${FILTLEN_B}_init_${RHO}.H
#	echo o1=1.60 o2=7.2 d2=0.02667 >> $<
	< $< Window n2=1 f2=`./calc.sh ${non_iter}-1`  | Graph ${ebclip} ${WAVELET_LABEL}  title="Rho=${RHO}" label1="Time sample points (dt=4 ms)" wherexlabel=t legend=0  out=$@ wheretitle=b min2=-2 max2=2 d2num=1 ${dn}

$R/field_data-init_filter_a_rho_${RHO}.v: field_data-init_filter_a_rho_${RHO}.H
	< $< Graph ${ebclip} ${WAVELET_LABEL}  title="init_guess_${RHO}" legend=0  out=$@ ${dn}


RESIDUAL_LABEL := label1='iterations' label2='Residual' title='  ' labelfat=1 labelsz=9
$R/field_data-init_residual_A_thr_${THRESHOLD}_filtlen_${FILTLEN}_filtlenB_${FILTLEN_B}_init_${RHO}.v:field_data-init_residual_A_thr_${THRESHOLD}_filtlen_${FILTLEN}_filtlenB_${FILTLEN_B}_init_${RHO}.H
	< $< Graph min2=-10 ${ebclip} ${RESIDUAL_LABEL}  title="Data Residual_${RHO}" legend=0  out=$@ ${dn}

$R/field_data-init_residual_R_thr_${THRESHOLD}_filtlen_${FILTLEN}_filtlenB_${FILTLEN_B}_init_${RHO}.v:field_data-init_residual_R_thr_${THRESHOLD}_filtlen_${FILTLEN}_filtlenB_${FILTLEN_B}_init_${RHO}.H
	< $< Graph max2=1200 min2=-10 ${ebclip} ${RESIDUAL_LABEL}  title="Data Residual_${RHO}" legend=0  out=$@ ${dn}

$R/field_data-decon_init_thr_${THRESHOLD}_filtlen_${FILTLEN}_filtlenB_${FILTLEN_B}_init_${RHO}.v: field_data-decon_init_thr_${THRESHOLD}_filtlen_${FILTLEN}_filtlenB_${FILTLEN_B}_init_${RHO}.H
#	echo o1=1.60 o2=7.2 d2=0.02667 >> $<
	< $< Window n3=1 f3=`./calc.sh ${non_iter}-1` | Add scale=-1 | Grey title=" " ${ebclip} ${COF_DECON_LABEL}  title="Rho=${RHO}" ${MODEL_TIME_RANGE} out=$@ ${dn}

$R/data-field_data.v: data-field_data.H
#	echo o1=1.60 o2=7.2 d2=0.02667 >> $<
	< $<  Add scale=-1 | Grey title=" " ${ebclip} ${COF_DECON_LABEL} ${MODEL_TIME_RANGE} title=" "  out=$@ ${dn}

clean: 
	Rm *.H




