#!/bin/bash

REPORT=../../


non_iter=200



#for ((r1a=-1;r1a<=1;r1a=r1a+1))
for x in 0.1 # 0.3 0.25 0.2 0.15 0.1 0.08 0.05 0.02 0.01
do

    for y in 100 #16 32 64 128
    do
        z=${y}
        for rho in   0 .8  #.7 .9 .6 .1 .2 .3 .4 .5
        do
            make data-field_data.H THRESHOLD=$x  FILTLEN=$y FILTLEN_B=$z RHO=${rho} non_iter=${non_iter}
# field_data-decon_init_thr_${THRESHOLD}_filtlen_${FILTLEN}_filtlenB_${FILTLEN_B}_init_${RHO}.H
            make init_filter_a_rho_${rho}.H init_filter_b_rho_${rho}.H THRESHOLD=$x  FILTLEN=$y FILTLEN_B=$z RHO=${rho} non_iter=${non_iter} 
            make field_data-decon_init_thr_${x}_filtlen_${y}_filtlenB_${z}_init_${rho}.H THRESHOLD=$x  FILTLEN=$y FILTLEN_B=$z RHO=${rho} non_iter=${non_iter}
             
            make field_data-init_filter_ab_thr_${x}_filtlen_${y}_filtlenB_${z}_init_${rho}.H THRESHOLD=$x  FILTLEN=$y FILTLEN_B=$z RHO=${rho} non_iter=${non_iter}
            make field_data-init_bubble_thr_${x}_filtlen_${y}_filtlenB_${z}_init_${rho}.H THRESHOLD=$x  FILTLEN=$y th=0 FILTLEN_B=$z RHO=${rho} non_iter=${non_iter}
             
            Reshape < field_data-init_bubble_thr_${x}_filtlen_${y}_filtlenB_${z}_init_${rho}.H reshape=1,1,2 > field_data-init_bubble_movie_thr_${x}_filtlen_${y}_filtlenB_${z}_init_${rho}.H
            echo d1=1 >> field_data-init_bubble_movie_thr_${x}_filtlen_${y}_filtlenB_${z}_init_${rho}.H
             
            make field_data-init_filter_a_thr_${x}_filtlen_${y}_filtlenB_${z}_init_${rho}.H THRESHOLD=$x  FILTLEN=$y  FILTLEN_B=$z RHO=${rho} non_iter=${non_iter}
            make field_data-init_filter_b_thr_${x}_filtlen_${y}_filtlenB_${z}_init_${rho}.H THRESHOLD=$x  FILTLEN=$y  FILTLEN_B=$z RHO=${rho} non_iter=${non_iter}
             
            make fig/field_data-decon_init_thr_${x}_filtlen_${y}_filtlenB_${z}_init_${rho}.pdf THRESHOLD=$x  FILTLEN=$y FILTLEN_B=$z RHO=${rho} non_iter=${non_iter}
            make fig/field_data-decon-ZOOMIN_init_thr_${x}_filtlen_${y}_filtlenB_${z}_init_${rho}.pdf THRESHOLD=$x  FILTLEN=$y FILTLEN_B=$z RHO=${rho} non_iter=${non_iter}
             
            make fig/field_data-init_filter_a_thr_${x}_filtlen_${y}_filtlenB_${z}_init_${rho}.v THRESHOLD=$x  FILTLEN=$y  FILTLEN_B=$z RHO=${rho} non_iter=${non_iter}
            make fig/field_data-init_filter_b_thr_${x}_filtlen_${y}_filtlenB_${z}_init_${rho}.v THRESHOLD=$x  FILTLEN=$y  FILTLEN_B=$z RHO=${rho} non_iter=${non_iter}
            make fig/field_data-init_filter_ab_thr_${x}_filtlen_${y}_filtlenB_${z}_init_${rho}.v THRESHOLD=$x  FILTLEN=$y  FILTLEN_B=$z RHO=${rho} non_iter=${non_iter}
            make fig/field_data-init_wavelet_a_thr_${x}_filtlen_${y}_filtlenB_${z}_init_${rho}.v THRESHOLD=$x  FILTLEN=$y  FILTLEN_B=$z RHO=${rho} non_iter=${non_iter}
            make fig/init_wavelet_b_thr_${x}_filtlen_${y}_filtlenB_${z}_init_${rho}.v THRESHOLD=$x  FILTLEN=$y  FILTLEN_B=$z RHO=${rho} non_iter=${non_iter}
            make fig/field_data-init_bubble_thr_${x}_filtlen_${y}_filtlenB_${z}_init_${rho}.v THRESHOLD=$x  FILTLEN=$y  FILTLEN_B=$z RHO=${rho}v
            make fig/field_data-init_shift_bubble_thr_${x}_filtlen_${y}_filtlenB_${z}_init_${rho}.v THRESHOLD=$x  FILTLEN=$y  FILTLEN_B=$z RHO=${rho} non_iter=${non_iter}
             
            make fig/field_data-init_filter_a_thr_${x}_filtlen_${y}_filtlenB_${z}_init_${rho}.pdf THRESHOLD=$x  FILTLEN=$y  FILTLEN_B=$z RHO=${rho} non_iter=${non_iter}
            make fig/field_data-init_filter_b_thr_${x}_filtlen_${y}_filtlenB_${z}_init_${rho}.pdf THRESHOLD=$x  FILTLEN=$y  FILTLEN_B=$z RHO=${rho} non_iter=${non_iter}
            make fig/field_data-init_filter_ab_thr_${x}_filtlen_${y}_filtlenB_${z}_init_${rho}.pdf THRESHOLD=$x  FILTLEN=$y  FILTLEN_B=$z RHO=${rho} non_iter=${non_iter}
            make fig/field_data-init_wavelet_a_thr_${x}_filtlen_${y}_filtlenB_${z}_init_${rho}.pdf THRESHOLD=$x  FILTLEN=$y  FILTLEN_B=$z RHO=${rho} non_iter=${non_iter}
            make fig/init_wavelet_b_thr_${x}_filtlen_${y}_filtlenB_${z}_init_${rho}.pdf THRESHOLD=$x  FILTLEN=$y  FILTLEN_B=$z RHO=${rho} non_iter=${non_iter}
            make fig/field_data-init_bubble_thr_${x}_filtlen_${y}_filtlenB_${z}_init_${rho}.pdf THRESHOLD=$x  FILTLEN=$y  FILTLEN_B=$z RHO=${rho} non_iter=${non_iter}
            make fig/field_data-init_shift_bubble_thr_${x}_filtlen_${y}_filtlenB_${z}_init_${rho}.pdf THRESHOLD=$x  FILTLEN=$y  FILTLEN_B=$z RHO=${rho} non_iter=${non_iter}
             
            
            make field_data-init_residual_R_thr_${x}_filtlen_${y}_filtlenB_${z}_init_${rho}.H THRESHOLD=$x  FILTLEN=$y  FILTLEN_B=$z RHO=${rho} non_iter=${non_iter}
            make field_data-init_residual_A_thr_${x}_filtlen_${y}_filtlenB_${z}_init_${rho}.H THRESHOLD=$x  FILTLEN=$y  FILTLEN_B=$z RHO=${rho} non_iter=${non_iter}
            make fig/field_data-init_residual_R_thr_${x}_filtlen_${y}_filtlenB_${z}_init_${rho}.pdf  THRESHOLD=$x  FILTLEN=$y  FILTLEN_B=$z RHO=${rho} non_iter=${non_iter}
            make fig/field_data-init_residual_A_thr_${x}_filtlen_${y}_filtlenB_${z}_init_${rho}.pdf  THRESHOLD=$x  FILTLEN=$y  FILTLEN_B=$z RHO=${rho} non_iter=${non_iter}


        done

    done
done

./copyfilestoreport.sh
# cp fig/data-field_data.v ${REPORT}/Fig/2d-field-data.v
# cp fig/field_data-decon_init_thr_0.1_filtlen_100_filtlenB_100_init_0.v ${REPORT}/Fig/result_0.v
# cp fig/field_data-decon_init_thr_0.1_filtlen_100_filtlenB_100_init_.8.v ${REPORT}/Fig/result_8.v
# cp fig/field_data-init_shift_bubble_thr_0.1_filtlen_100_filtlenB_100_init_0v  ${REPORT}/Fig/wavelet_0.v
# cp fig/field_data-init_shift_bubble_thr_0.1_filtlen_100_filtlenB_100_init_.8.v ${REPORT}/Fig/wavelet_8.v


