#!/bin/bash

non_iter=1000

REPORT=../../

#for ((r1a=-1;r1a<=1;r1a=r1a+1))
for x in 0.1 # 0.3 0.25 0.2 0.15 0.1 0.08 0.05 0.02 0.01
do

    for y in 256 #16 32 64 128
    do
        z=${y}
        for rho in  0 .7  #.6 .7 .8 .9 .1 .2 .3 .4 .5
        do
            make data-synthetic.H THRESHOLD=$x  FILTLEN=$y FILTLEN_B=$z RHO=${rho} non_iter=${non_iter}
# synthetic-decon_init_thr_${THRESHOLD}_filtlen_${FILTLEN}_filtlenB_${FILTLEN_B}_init_${RHO}.H
            make init_filter_a_rho_${rho}.H init_filter_b_rho_${rho}.H THRESHOLD=$x  FILTLEN=$y FILTLEN_B=$z RHO=${rho} non_iter=${non_iter} 
            make synthetic-decon_init_thr_${x}_filtlen_${y}_filtlenB_${z}_init_${rho}.H THRESHOLD=$x  FILTLEN=$y FILTLEN_B=$z RHO=${rho} non_iter=${non_iter}
             
            make synthetic-init_filter_ab_thr_${x}_filtlen_${y}_filtlenB_${z}_init_${rho}.H THRESHOLD=$x  FILTLEN=$y FILTLEN_B=$z RHO=${rho} non_iter=${non_iter}
            make synthetic-init_bubble_thr_${x}_filtlen_${y}_filtlenB_${z}_init_${rho}.H THRESHOLD=$x  FILTLEN=$y th=0 FILTLEN_B=$z RHO=${rho} non_iter=${non_iter}
             
            Reshape < synthetic-init_bubble_thr_${x}_filtlen_${y}_filtlenB_${z}_init_${rho}.H reshape=1,1,2 > synthetic-init_bubble_movie_thr_${x}_filtlen_${y}_filtlenB_${z}_init_${rho}.H
            echo d1=1 >> synthetic-init_bubble_movie_thr_${x}_filtlen_${y}_filtlenB_${z}_init_${rho}.H
             
            make synthetic-init_filter_a_thr_${x}_filtlen_${y}_filtlenB_${z}_init_${rho}.H THRESHOLD=$x  FILTLEN=$y  FILTLEN_B=$z RHO=${rho} non_iter=${non_iter}
            make synthetic-init_filter_b_thr_${x}_filtlen_${y}_filtlenB_${z}_init_${rho}.H THRESHOLD=$x  FILTLEN=$y  FILTLEN_B=$z RHO=${rho} non_iter=${non_iter}
             
            make fig/synthetic-decon_init_thr_${x}_filtlen_${y}_filtlenB_${z}_init_${rho}.pdf THRESHOLD=$x  FILTLEN=$y FILTLEN_B=$z RHO=${rho} non_iter=${non_iter}
            make fig/synthetic-decon-ZOOMIN_init_thr_${x}_filtlen_${y}_filtlenB_${z}_init_${rho}.pdf THRESHOLD=$x  FILTLEN=$y FILTLEN_B=$z RHO=${rho} non_iter=${non_iter}

            make fig/synthetic-decon-local_init_thr_${x}_filtlen_${y}_filtlenB_${z}_init_${rho}.pdf THRESHOLD=$x  FILTLEN=$y FILTLEN_B=$z RHO=${rho} non_iter=${non_iter}
             
            make fig/synthetic-init_filter_a_thr_${x}_filtlen_${y}_filtlenB_${z}_init_${rho}.v THRESHOLD=$x  FILTLEN=$y  FILTLEN_B=$z RHO=${rho} non_iter=${non_iter}
            make fig/synthetic-init_filter_b_thr_${x}_filtlen_${y}_filtlenB_${z}_init_${rho}.v THRESHOLD=$x  FILTLEN=$y  FILTLEN_B=$z RHO=${rho} non_iter=${non_iter}
            make fig/synthetic-init_filter_ab_thr_${x}_filtlen_${y}_filtlenB_${z}_init_${rho}.v THRESHOLD=$x  FILTLEN=$y  FILTLEN_B=$z RHO=${rho} non_iter=${non_iter}
            make fig/synthetic-init_wavelet_a_thr_${x}_filtlen_${y}_filtlenB_${z}_init_${rho}.v THRESHOLD=$x  FILTLEN=$y  FILTLEN_B=$z RHO=${rho} non_iter=${non_iter}
            make fig/init_wavelet_b_thr_${x}_filtlen_${y}_filtlenB_${z}_init_${rho}.v THRESHOLD=$x  FILTLEN=$y  FILTLEN_B=$z RHO=${rho} non_iter=${non_iter}
            make fig/synthetic-init_bubble_thr_${x}_filtlen_${y}_filtlenB_${z}_init_${rho}.v THRESHOLD=$x  FILTLEN=$y  FILTLEN_B=$z RHO=${rho}v
            make fig/synthetic-init_shift_bubble_thr_${x}_filtlen_${y}_filtlenB_${z}_init_${rho}.v THRESHOLD=$x  FILTLEN=$y  FILTLEN_B=$z RHO=${rho} non_iter=${non_iter}
             
            make fig/synthetic-init_filter_a_thr_${x}_filtlen_${y}_filtlenB_${z}_init_${rho}.pdf THRESHOLD=$x  FILTLEN=$y  FILTLEN_B=$z RHO=${rho} non_iter=${non_iter}
            make fig/synthetic-init_filter_b_thr_${x}_filtlen_${y}_filtlenB_${z}_init_${rho}.pdf THRESHOLD=$x  FILTLEN=$y  FILTLEN_B=$z RHO=${rho} non_iter=${non_iter}
            make fig/synthetic-init_filter_ab_thr_${x}_filtlen_${y}_filtlenB_${z}_init_${rho}.pdf THRESHOLD=$x  FILTLEN=$y  FILTLEN_B=$z RHO=${rho} non_iter=${non_iter}
            make fig/synthetic-init_wavelet_a_thr_${x}_filtlen_${y}_filtlenB_${z}_init_${rho}.pdf THRESHOLD=$x  FILTLEN=$y  FILTLEN_B=$z RHO=${rho} non_iter=${non_iter}
            make fig/init_wavelet_b_thr_${x}_filtlen_${y}_filtlenB_${z}_init_${rho}.pdf THRESHOLD=$x  FILTLEN=$y  FILTLEN_B=$z RHO=${rho} non_iter=${non_iter}
            make fig/synthetic-init_bubble_thr_${x}_filtlen_${y}_filtlenB_${z}_init_${rho}.pdf THRESHOLD=$x  FILTLEN=$y  FILTLEN_B=$z RHO=${rho} non_iter=${non_iter}
            make fig/synthetic-init_shift_bubble_thr_${x}_filtlen_${y}_filtlenB_${z}_init_${rho}.pdf THRESHOLD=$x  FILTLEN=$y  FILTLEN_B=$z RHO=${rho} non_iter=${non_iter}
             
            
            make synthetic-init_residual_R_thr_${x}_filtlen_${y}_filtlenB_${z}_init_${rho}.H THRESHOLD=$x  FILTLEN=$y  FILTLEN_B=$z RHO=${rho} non_iter=${non_iter}
            make synthetic-init_residual_A_thr_${x}_filtlen_${y}_filtlenB_${z}_init_${rho}.H THRESHOLD=$x  FILTLEN=$y  FILTLEN_B=$z RHO=${rho} non_iter=${non_iter}
            make fig/synthetic-init_residual_R_thr_${x}_filtlen_${y}_filtlenB_${z}_init_${rho}.pdf  THRESHOLD=$x  FILTLEN=$y  FILTLEN_B=$z RHO=${rho} non_iter=${non_iter}
            make fig/synthetic-init_residual_A_thr_${x}_filtlen_${y}_filtlenB_${z}_init_${rho}.pdf  THRESHOLD=$x  FILTLEN=$y  FILTLEN_B=$z RHO=${rho} non_iter=${non_iter}

        

        done

    done
done

# cp fig/model.v ${REPORT}/Fig/2d-synthetic-model.v
# cp fig/data-synthetic.v ${REPORT}/Fig/2d-synthetic-data.v
# cp fig/synthetic-decon_init_thr_0.1_filtlen_256_filtlenB_256_init_0.v ${REPORT}/Fig/result-rho-0.v
# cp fig/synthetic-decon_init_thr_0.1_filtlen_256_filtlenB_256_init_.7.v ${REPORT}/Fig/result-rho-7.v
# cp fig/synthetic-decon-ZOOMIN_init_thr_0.1_filtlen_256_filtlenB_256_init_0.v  ${REPORT}/Fig/wiggle-local-rho-0.v
# cp fig/synthetic-decon-ZOOMIN_init_thr_0.1_filtlen_256_filtlenB_256_init_.7.v ${REPORT}/Fig/wiggle-local-rho-7.v
make fig/model.v
make fig/data-synthetic.v

make fig/model-local.v
make fig/data-synthetic-local.v

./copyfilestoreport.sh

# make fig/data-synthetic.pdf
# make fig/refl-jon.pdf
# for rho in  0 .1 .2 .3 .4 .5 .6 .7 .8 .9
# do
#     make fig/init_filter_a_rho_${rho}.v RHO=${rho}
# done
