# =========for rho init
# aaa.test: 
# 	echo "aaa.test"

# ORIGIN_PLACE=../
MODEL_PLACE=../model/

th=0.5

B=../../bin
R=fig

SCR=../

MODEL_TIME_RANGE :=  min1=0 max1=1.788


synthetic-wavelet.H:${MODEL_PLACE}/ricker.H
	Cp $< $@

latSpike.H: ${MODEL_PLACE}/latSpike.H
	Cp $< $@

model.H : ${MODEL_PLACE}/model.H
	Cp $< $@

data-synthetic.H: model.H synthetic-wavelet.H
	$B/Conv_filter_c.x filter1d=1 < $< > temp_0001.H \
		filter=synthetic-wavelet.H
	Pad  end1=${FILTLEN_B} extend=0 <temp_0001.H > $@
	Rm temp_0001.H

init_filter_a_rho_${RHO}.H:
	Window n2=1 f2=`./calc.sh ${RHO}*10+1` n1=256 f1=256 < ${SCR}/freq_domain_a.H > $@
	echo o1=0 label1=sample >> $@

init_filter_b_rho_${RHO}.H:init_filter_a_rho_${RHO}.H
	Reverse opt=ingnore which=1 < init_filter_a_rho_${RHO}.H >$@


synthetic-decon_init_thr_${THRESHOLD}_filtlen_${FILTLEN}_filtlenB_${FILTLEN_B}_init_${RHO}.H: $B/Sparse_decon_mixed_linear.x data-synthetic.H latSpike.H
# 	Pad end1=${FILTLEN_B} extend=0 <data-COFnew.H > data-COFnew_pad_${FILTLEN}.H
# 	Pad n1out=300 extend=0 <data-synthetic.H > data-synthetic_pad_300.H
	<data-synthetic.H  $< max_overshot_shrink_cnt=10 \
		norm_dat=hybrid qt_period=10 filt_length=${FILTLEN} filtb_length=${FILTLEN_B} \
		r_th_d=${THRESHOLD}  filter_a=synthetic-init_linear_a_thr_${THRESHOLD}_filtlen_${FILTLEN}_filtlenB_${FILTLEN_B}_init_${RHO}.H \
		filter_b=synthetic-init_linear_b_thr_${THRESHOLD}_filtlen_${FILTLEN}_filtlenB_${FILTLEN_B}_init_${RHO}.H \
		niter_nl=${non_iter} niter_lin=2 model_b=modtrc_b.H \
		wavelet=latSpike.H conv_res=wztrc_a_b_rev_conv.H init_filter_a=init_filter_a_rho_${RHO}.H init_filter_b=init_filter_b_rho_${RHO}.H \
		res_filename=synthetic-init_residual_untransp_thr_${THRESHOLD}_filtlen_${FILTLEN}_filtlenB_${FILTLEN_B}_init_${RHO}.H >$@
# 	pause
	Transp < synthetic-init_residual_untransp_thr_${THRESHOLD}_filtlen_${FILTLEN}_filtlenB_${FILTLEN_B}_init_${RHO}.H > synthetic-init_residual_thr_${THRESHOLD}_filtlen_${FILTLEN}_filtlenB_${FILTLEN_B}_init_${RHO}.H

synthetic-init_residual_R_thr_${THRESHOLD}_filtlen_${FILTLEN}_filtlenB_${FILTLEN_B}_init_${RHO}.H:synthetic-init_residual_thr_${THRESHOLD}_filtlen_${FILTLEN}_filtlenB_${FILTLEN_B}_init_${RHO}.H
	Window n2=1 f2=0 < $< > $@

synthetic-init_residual_A_thr_${THRESHOLD}_filtlen_${FILTLEN}_filtlenB_${FILTLEN_B}_init_${RHO}.H:synthetic-init_residual_thr_${THRESHOLD}_filtlen_${FILTLEN}_filtlenB_${FILTLEN_B}_init_${RHO}.H
	Window n2=1 f2=1 < $< > $@

synthetic-init_filter_a_thr_${THRESHOLD}_filtlen_${FILTLEN}_filtlenB_${FILTLEN_B}_init_${RHO}.H:synthetic-init_linear_a_thr_${THRESHOLD}_filtlen_${FILTLEN}_filtlenB_${FILTLEN_B}_init_${RHO}.H
	Reshape < $< reshape=1,3 > $@

synthetic-init_filter_b_thr_${THRESHOLD}_filtlen_${FILTLEN}_filtlenB_${FILTLEN_B}_init_${RHO}.H:synthetic-init_linear_b_thr_${THRESHOLD}_filtlen_${FILTLEN}_filtlenB_${FILTLEN_B}_init_${RHO}.H
	Reshape < $< reshape=1,3 > $@


synthetic-init_filter_ab_thr_${THRESHOLD}_filtlen_${FILTLEN}_filtlenB_${FILTLEN_B}_init_${RHO}.H : synthetic-init_filter_a_thr_${THRESHOLD}_filtlen_${FILTLEN}_filtlenB_${FILTLEN_B}_init_${RHO}.H synthetic-init_filter_b_thr_${THRESHOLD}_filtlen_${FILTLEN}_filtlenB_${FILTLEN_B}_init_${RHO}.H
	$B/Conv_filter_c.x < synthetic-init_filter_a_thr_${THRESHOLD}_filtlen_${FILTLEN}_filtlenB_${FILTLEN_B}_init_${RHO}.H filter1d=0 > $@ \
		filter=synthetic-init_filter_b_thr_${THRESHOLD}_filtlen_${FILTLEN}_filtlenB_${FILTLEN_B}_init_${RHO}.H

th=0.0
synthetic-init_bubble_thr_${THRESHOLD}_filtlen_${FILTLEN}_filtlenB_${FILTLEN_B}_init_${RHO}.H : $B/bubble.x synthetic-init_filter_ab_thr_${THRESHOLD}_filtlen_${FILTLEN}_filtlenB_${FILTLEN_B}_init_${RHO}.H
	$< <synthetic-init_filter_ab_thr_${THRESHOLD}_filtlen_${FILTLEN}_filtlenB_${FILTLEN_B}_init_${RHO}.H th=${th} filtb_length=${FILTLEN_B} pad=2 >$@ 

synthetic-init_wavelet_a_thr_${THRESHOLD}_filtlen_${FILTLEN}_filtlenB_${FILTLEN_B}_init_${RHO}.H : $B/bubble.x synthetic-init_filter_a_thr_${THRESHOLD}_filtlen_${FILTLEN}_filtlenB_${FILTLEN_B}_init_${RHO}.H
	$< <synthetic-init_filter_a_thr_${THRESHOLD}_filtlen_${FILTLEN}_filtlenB_${FILTLEN_B}_init_${RHO}.H th=${th} pad=2 >$@ 

synthetic-init_wavelet_b_thr_${THRESHOLD}_filtlen_${FILTLEN}_filtlenB_${FILTLEN_B}_init_${RHO}.H : $B/bubble.x synthetic-init_filter_b_thr_${THRESHOLD}_filtlen_${FILTLEN}_filtlenB_${FILTLEN_B}_init_${RHO}.H
	$< <synthetic-init_filter_b_thr_${THRESHOLD}_filtlen_${FILTLEN}_filtlenB_${FILTLEN_B}_init_${RHO}.H th=${th} filtb_length=${FILTLEN_B} pad=2 >$@ 


synthetic-init_shift_bubble_thr_${THRESHOLD}_filtlen_${FILTLEN}_filtlenB_${FILTLEN_B}_init_${RHO}.H: synthetic-init_bubble_thr_${THRESHOLD}_filtlen_${FILTLEN}_filtlenB_${FILTLEN_B}_init_${RHO}.H
	$B/shift.x < $< >  $@
	echo o1=`./calc.sh -${non_iter}+1` >> $@

$R/synthetic-init_filter_a_thr_${THRESHOLD}_filtlen_${FILTLEN}_filtlenB_${FILTLEN_B}_init_${RHO}.v: synthetic-init_filter_a_thr_${THRESHOLD}_filtlen_${FILTLEN}_filtlenB_${FILTLEN_B}_init_${RHO}.H
#	echo o1=1.60 o2=7.2 d2=0.02667 >> $<
	< $< Window n2=1 f2=`./calc.sh ${non_iter}-1`  | Graph ${ebclip} ${FILTER_LABEL}  title="Rho=${RHO}" legend=0 out=$@ ${dn}

$R/synthetic-init_filter_b_thr_${THRESHOLD}_filtlen_${FILTLEN}_filtlenB_${FILTLEN_B}_init_${RHO}.v: synthetic-init_filter_b_thr_${THRESHOLD}_filtlen_${FILTLEN}_filtlenB_${FILTLEN_B}_init_${RHO}.H
#	echo o1=1.60 o2=7.2 d2=0.02667 >> $<
	< $< Window n2=1 f2=`./calc.sh ${non_iter}-1`  | Graph ${ebclip} ${FILTER_LABEL}  title="Rho=${RHO}" legend=0  out=$@ ${dn}

$R/synthetic-init_filter_ab_thr_${THRESHOLD}_filtlen_${FILTLEN}_filtlenB_${FILTLEN_B}_init_${RHO}.v: synthetic-init_filter_ab_thr_${THRESHOLD}_filtlen_${FILTLEN}_filtlenB_${FILTLEN_B}_init_${RHO}.H
#	echo o1=1.60 o2=7.2 d2=0.02667 >> $<
	< $< Window n2=1 f2=`./calc.sh ${non_iter}-1`  | Graph ${ebclip} ${FILTER_LABEL}  title="Rho=${RHO}" legend=0 out=$@ ${dn}

$R/synthetic-init_wavelet_a_thr_${THRESHOLD}_filtlen_${FILTLEN}_filtlenB_${FILTLEN_B}_init_${RHO}.v: synthetic-init_wavelet_a_thr_${THRESHOLD}_filtlen_${FILTLEN}_filtlenB_${FILTLEN_B}_init_${RHO}.H
#	echo o1=1.60 o2=7.2 d2=0.02667 >> $<
	< $< Window n2=1 f2=`./calc.sh ${non_iter}-1`  | Graph ${ebclip} ${WAVELET_LABEL}  title="wavelet_a" legend=0 out=$@ ${dn}

$R/synthetic-init_wavelet_b_thr_${THRESHOLD}_filtlen_${FILTLEN}_filtlenB_${FILTLEN_B}_init_${RHO}.v: synthetic-init_wavelet_b_thr_${THRESHOLD}_filtlen_${FILTLEN}_filtlenB_${FILTLEN_B}_init_${RHO}.H
#	echo o1=1.60 o2=7.2 d2=0.02667 >> $<
	< $< Window n2=1 f2=`./calc.sh ${non_iter}-1`  | Graph ${ebclip} ${WAVELET_LABEL}  title="wavelet_b" legend=0  out=$@ ${dn}

$R/synthetic-init_bubble_thr_${THRESHOLD}_filtlen_${FILTLEN}_filtlenB_${FILTLEN_B}_init_${RHO}.v: synthetic-init_bubble_thr_${THRESHOLD}_filtlen_${FILTLEN}_filtlenB_${FILTLEN_B}_init_${RHO}.H
#	echo o1=1.60 o2=7.2 d2=0.02667 >> $<
	< $< Window n2=1 f2=`./calc.sh ${non_iter}-1`  | Graph ${ebclip} ${WAVELET_LABEL}  title="bubble" legend=0  out=$@ ${dn}

# $R/synthetic-init_shift_bubble_thr_${THRESHOLD}_filtlen_${FILTLEN}_filtlenB_${FILTLEN_B}_init_${RHO}.v: synthetic-init_bubble_thr_${THRESHOLD}_filtlen_${FILTLEN}_filtlenB_${FILTLEN_B}_init_${RHO}.H
# #	echo o1=1.60 o2=7.2 d2=0.02667 >> $<
# 	< $< Window n2=1 f2=`./calc.sh ${non_iter}-1`  | $B/shift.x | Graph ${ebclip} ${WAVELET_LABEL}  title="bubble" legend=0  out=$@ ${dn}

$R/synthetic-init_shift_bubble_thr_${THRESHOLD}_filtlen_${FILTLEN}_filtlenB_${FILTLEN_B}_init_${RHO}.v: synthetic-init_shift_bubble_thr_${THRESHOLD}_filtlen_${FILTLEN}_filtlenB_${FILTLEN_B}_init_${RHO}.H
#	echo o1=1.60 o2=7.2 d2=0.02667 >> $<
	< $< Window n2=1 f2=`./calc.sh ${non_iter}-1`  | Graph ${ebclip} ${WAVELET_LABEL}  title="Rho=${RHO}" legend=0  out=$@ ${dn}

$R/synthetic-init_filter_a_rho_${RHO}.v: synthetic-init_filter_a_rho_${RHO}.H
	< $< Graph ${ebclip} ${WAVELET_LABEL}  title="init_guess_${RHO}" legend=0  out=$@ ${dn}


RESIDUAL_LABEL := label1='iterations' label2='Residual' title='  ' labelfat=1 labelsz=9
$R/synthetic-init_residual_A_thr_${THRESHOLD}_filtlen_${FILTLEN}_filtlenB_${FILTLEN_B}_init_${RHO}.v:synthetic-init_residual_A_thr_${THRESHOLD}_filtlen_${FILTLEN}_filtlenB_${FILTLEN_B}_init_${RHO}.H
	< $< Graph min2=-10 ${ebclip} ${RESIDUAL_LABEL}  title="Data Residual_${RHO}" legend=0  out=$@ ${dn}

$R/synthetic-init_residual_R_thr_${THRESHOLD}_filtlen_${FILTLEN}_filtlenB_${FILTLEN_B}_init_${RHO}.v:synthetic-init_residual_R_thr_${THRESHOLD}_filtlen_${FILTLEN}_filtlenB_${FILTLEN_B}_init_${RHO}.H
	< $< Graph max2=1200 min2=-10 ${ebclip} ${RESIDUAL_LABEL}  title="Data Residual_${RHO}" legend=0  out=$@ ${dn}

$R/synthetic-decon_init_thr_${THRESHOLD}_filtlen_${FILTLEN}_filtlenB_${FILTLEN_B}_init_${RHO}.v: synthetic-decon_init_thr_${THRESHOLD}_filtlen_${FILTLEN}_filtlenB_${FILTLEN_B}_init_${RHO}.H
#	echo o1=1.60 o2=7.2 d2=0.02667 >> $<
	< $< Window n3=1 f3=`./calc.sh ${non_iter}-1` | Add scale=-1 | Grey title=" " ${ebclip} ${COF_DECON_LABEL}  title="Rho=${RHO}" ${MODEL_TIME_RANGE} out=$@ ${dn}

$R/data-synthetic.v: data-synthetic.H
#	echo o1=1.60 o2=7.2 d2=0.02667 >> $<
	< $<  Add scale=-1 | Grey title=" " ${ebclip} ${COF_DECON_LABEL} ${MODEL_TIME_RANGE} title=" "  out=$@ ${dn}

# $R/refl-jon.v: refl-jon.H
# #	echo o1=1.60 o2=7.2 d2=0.02667 >> $<
# 	< $<  Add scale=-1 | Grey title=" " ${ebclip} ${COF_DECON_LABEL}  title="2D reflection model"  out=$@ ${dn}

$R/model.v: model.H
#	echo o1=1.60 o2=7.2 d2=0.02667 >> $<
	< $<  Add scale=-1 | Grey title=" " ${ebclip} ${COF_DECON_LABEL} ${MODEL_TIME_RANGE} title=" "  out=$@ ${dn}

$R/synthetic-decon-ZOOMIN_init_thr_${THRESHOLD}_filtlen_${FILTLEN}_filtlenB_${FILTLEN_B}_init_${RHO}.v: synthetic-decon_init_thr_${THRESHOLD}_filtlen_${FILTLEN}_filtlenB_${FILTLEN_B}_init_${RHO}.H
#	echo o1=1.60 o2=7.2 d2=0.02667 >> $<
	< $< Window n3=1 f3=`./calc.sh ${non_iter}-1` n2=1 f2=67  | Add scale=-1 | Graph min1=1 max1=1.2  title=" " ${ebclip} ${COF_DECON_LABEL}  title="Rho=${RHO}" label2="Amp"  out=$@  ${dn}

$R/data-synthetic-ZOOMIN.v: data-synthetic.H
#	echo o1=1.60 o2=7.2 d2=0.02667 >> $<
	< $< Window  n2=1 f2=67  | Add scale=-1 | Graph min1=1 max1=1.2  title=" " ${ebclip} ${COF_DECON_LABEL}  title=" " label2="Amp"  out=$@  ${dn}



$R/data-synthetic-local.v: data-synthetic.H
	< $< Add scale=-1 |Window max1=1.2 min1=1 max2=5.4 min2=3|Grey  title=" " ${ebclip} ${COF_DECON_LABEL}  title=" " label2="Amp"  out=$@  ${dn}

$R/model-local.v: model.H
	< $< Add scale=-1 |Window max1=1.072 min1=.872 max2=5.4 min2=3|Grey  title=" " ${ebclip} ${COF_DECON_LABEL}  title=" " label2="Amp"  out=$@  ${dn}

$R/synthetic-decon-local_init_thr_${THRESHOLD}_filtlen_${FILTLEN}_filtlenB_${FILTLEN_B}_init_${RHO}.v: synthetic-decon_init_thr_${THRESHOLD}_filtlen_${FILTLEN}_filtlenB_${FILTLEN_B}_init_${RHO}.H
#	echo o1=1.60 o2=7.2 d2=0.02667 >> $<
	< $< Window n3=1 f3=`./calc.sh ${non_iter}-1` max1=1.2 min1=1 max2=5.4 min2=3 | Add scale=-1 | Grey  title=" " ${ebclip} ${COF_DECON_LABEL}  title="Rho=${RHO}" label2="Amp"  out=$@  ${dn}

clean: 
	Rm *.H